# Class pyglet.graphics.OrderedGroup

    Group --+
            |
           OrderedGroup

Known Subclasses:
  text.layout.TextLayoutForegroundDecorationGroup, text.layout.TextLayoutForegroundGroup

A group with partial order.

Ordered groups with a common parent are rendered in ascending order of their `order` field. This is a useful way to render multiple layers of a scene within a single batch.

## Methods

| __init__(self, order, parent=None) Create an ordered group.
| __cmp__(self, other)
| __eq__(self, other)
| __hash__(self)
| __repr__(self)
| set_state(self) Apply the OpenGL state change. (Inherited from pyglet.graphics.Group)
| set_state_recursive(self) Set this group and its ancestry. (Inherited from pyglet.graphics.Group)
| unset_state(self) Repeal the OpenGL state change. (Inherited from pyglet.graphics.Group)
| unset_state_recursive(self) Unset this group and its ancestry. (Inherited from pyglet.graphics.Group)

## Method Details

### __init__

(Constructor) __init__(self, order, parent=None)
Create an ordered group.

Parameters:
  order : int
    Order of this group.
  parent : Group
    Parent of this group.
Overrides:
  Group.__init__